ZIP_SOURCE_SEEK(3)

NAME
zip_source_seek - set read offset in zip source

LIBRARY
libzip (-lzip)

SYNOPSIS
#include <zip.h>

int
zip_source_seek(zip_source_t *source, zip_int64_t offset, int whence);

DESCRIPTION
The function zip_source_seek() sets the current read offset for source. Just like in fseek(3), depending on the whence argument, the offset is counted relative from:

    SEEK_SET
        start of file

    SEEK_CUR
        current read offset in file

    SEEK_END
        end of file

RETURN VALUES
Upon successful completion 0 is returned. Otherwise, -1 is returned and the error information in source is set to indicate the error.

SEE ALSO
libzip(3), zip_source(3), zip_source_read(3), zip_source_tell(3)

HISTORY
zip_source_seek() was added in libzip 1.0.

AUTHORS
Dieter Baron <dillo@nih.at> and Thomas Klausner <tk@giga.or.at>